/*
POS API

Testing CustomAPIService

*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech);

package posapi

import (
	"context"
	"github.com/stretchr/testify/assert"
	"github.com/stretchr/testify/require"
	"testing"
	openapiclient "bitbucket.org/_SLACE_/clients/go/posapi"
)

func Test_posapi_CustomAPIService(t *testing.T) {

	configuration := openapiclient.NewConfiguration()
	apiClient := openapiclient.NewAPIClient(configuration)

	t.Run("Test CustomAPIService DeleteCustomHandler", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var id string
		var orgId string

		httpRes, err := apiClient.CustomAPI.DeleteCustomHandler(context.Background(), channelId, id, orgId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CustomAPIService DeleteOrganizationCustomHandler", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var id string
		var orgId string

		httpRes, err := apiClient.CustomAPI.DeleteOrganizationCustomHandler(context.Background(), id, orgId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CustomAPIService GetCustomHandler", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var id string
		var orgId string

		resp, httpRes, err := apiClient.CustomAPI.GetCustomHandler(context.Background(), channelId, id, orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CustomAPIService GetOrganizationCustomHandler", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var id string
		var orgId string

		resp, httpRes, err := apiClient.CustomAPI.GetOrganizationCustomHandler(context.Background(), id, orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CustomAPIService ListCustomHandlers", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var orgId string

		resp, httpRes, err := apiClient.CustomAPI.ListCustomHandlers(context.Background(), channelId, orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CustomAPIService ListOrganizationCustomHandlers", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string

		resp, httpRes, err := apiClient.CustomAPI.ListOrganizationCustomHandlers(context.Background(), orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CustomAPIService OrganizationWebhook", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var type_ string
		var orgId string

		httpRes, err := apiClient.CustomAPI.OrganizationWebhook(context.Background(), type_, orgId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CustomAPIService RegisterCustomHandler", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var orgId string

		resp, httpRes, err := apiClient.CustomAPI.RegisterCustomHandler(context.Background(), channelId, orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CustomAPIService RegisterOrganizationCustomHandler", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var orgId string

		resp, httpRes, err := apiClient.CustomAPI.RegisterOrganizationCustomHandler(context.Background(), orgId).Execute()

		require.Nil(t, err)
		require.NotNil(t, resp)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

	t.Run("Test CustomAPIService Webhook", func(t *testing.T) {

		t.Skip("skip test")  // remove to run test

		var channelId string
		var type_ string
		var orgId string

		httpRes, err := apiClient.CustomAPI.Webhook(context.Background(), channelId, type_, orgId).Execute()

		require.Nil(t, err)
		assert.Equal(t, 200, httpRes.StatusCode)

	})

}
